Loading...
Searching...
No Matches
casacore::ROStandardStManAccessor Class Reference
tables package (libcasa_tables) » DataMan_module

More...

`#include <StandardStManAccessor.h>`

## Public Member Functions

| ROStandardStManAccessor (const Table &table, const String &name, Bool byColumn=False)
| Construct the object for a data manager in the table given the name of the data manager or the column.
virtual | ~ROStandardStManAccessor ()
| ROStandardStManAccessor (const ROStandardStManAccessor &that)
| Copy constructor (reference semantics).
ROStandardStManAccessor & | operator= (const ROStandardStManAccessor &that)
| Assignment (reference semantics).
void | setCacheSize (uInt aSize, Bool canExceedNrBuckets=True)
| Set the cache size (in buckets) to be used by the storage manager.
uInt | getCacheSize () const
| Get the cache size (in buckets).
void | clearCache ()
| Clear the cache used by this storage manager.
void | showBaseStatistics (ostream &anOs) const
| Show the statistics for the base class.
void | showIndexStatistics (ostream &anOs) const
| Show the statistics for each index used by this storage manager.
Public Member Functions inherited from casacore::RODataManAccessor
| RODataManAccessor ()
| Construct an empty object.
| RODataManAccessor (const Table &table, const String &name, Bool byColumn)
| Construct the accessor object for a data manager in the table.
virtual | ~RODataManAccessor ()
void | setProperties (const Record &) const
| Set data manager properties using the fields in the record.
Record | getProperties () const
| Get data manager properties as a record.
String | dataManagerType () const
| Get the data manager type.
String | dataManagerName () const
| Get the data manager name.
uInt | dataManagerSeqNr () const
| Get the data manager sequence nr.
void | showCacheStatistics (ostream &os) const
| Show IO statistics.

## Private Attributes

SSMBase * | itsSSMPtr

## Additional Inherited Members

Protected Member Functions inherited from casacore::RODataManAccessor
DataManager * | baseDataManager () const
| Get the data manager for the given data manager or column name.

## Detailed Description

Give access to some StandardStMan functions

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25
Test programs:
  tStandardStMan

### Prerequisite

- StandardStMan

### Synopsis

The Table system has one or more storage managers underneath. One of these possible storage managers is the StandardStMan. This storage manager uses a cache of buckets. The default cache size is defined when the StandardStMan object was constructed at the time the table was created.

Sometimes it can be useful to change the cache size. E.g. when the table is accessed in a random way, the hit rate may drop when the cache is too small. The class ROStandardStManAccessor makes it possible to change the cache size in a temporary way.
It is also possible to get the cache size.

Furthermore it is possible to show some statistics (about the cache and the internals of SSM classes).

### Motivation

In principle a pointer to StandardStMan could be used. However, that would give access to all public functions. Furthermore it could not distinguish between read/write and readonly tables.

### Example

This example shows how to set the cache size for the standard storage manager with the name "SSMExample". The cache size is not persistent, i.e. when the same table is reopened at a later time, this cache size is not remembered.

// Open a table.
Table table("someName.data");
// Set the cache size of its standard storage manager SSMExample
// to 5 buckets.
ROStandardStManAccessor accessor(table, "SSMExample");
accessor.setCacheSize (5);
casacore::ROStandardStManAccessor::ROStandardStManAccessor
ROStandardStManAccessor(const Table &table, const String &name, Bool byColumn=False)
Construct the object for a data manager in the table given the name of the data manager or the column...
casacore::Table
Definition Table.h:157

Definition at line 101 of file StandardStManAccessor.h.

## Constructor & Destructor Documentation

## ROStandardStManAccessor() [1/2]

casacore::ROStandardStManAccessor::ROStandardStManAccessor | ( | const Table & | table,
|  | const String & | name,
|  | Bool | byColumn = False )

Construct the object for a data manager in the table given the name of the data manager or the column.

An exception is thrown if the data manager type is not the incremental storage manager.

References casacore::False, and casacore::name().

Referenced by operator=(), and ROStandardStManAccessor().

## ~ROStandardStManAccessor()

virtual casacore::ROStandardStManAccessor::~ROStandardStManAccessor | ( |  | ) |

virtual

## ROStandardStManAccessor() [2/2]

casacore::ROStandardStManAccessor::ROStandardStManAccessor | ( | const ROStandardStManAccessor & | that | ) |

Copy constructor (reference semantics).

References ROStandardStManAccessor().

## Member Function Documentation

## clearCache()

void casacore::ROStandardStManAccessor::clearCache | ( |  | ) |

Clear the cache used by this storage manager.

It will flush the cache as needed and remove all buckets from it resulting in a drop in memory used.

## getCacheSize()

uInt casacore::ROStandardStManAccessor::getCacheSize | ( |  | ) | const

Get the cache size (in buckets).

## operator=()

ROStandardStManAccessor & casacore::ROStandardStManAccessor::operator= | ( | const ROStandardStManAccessor & | that | ) |

Assignment (reference semantics).

References ROStandardStManAccessor().

## setCacheSize()

void casacore::ROStandardStManAccessor::setCacheSize | ( | uInt | aSize,
|  | Bool | canExceedNrBuckets = True )

Set the cache size (in buckets) to be used by the storage manager.

The cache size given in this way is not persistent. Only the cache size given to the constructors of the Standard storage managers, is persistent. If canExceedNrBuckets=True, the given cache size can be larger than the nr of buckets in the file. In this way the cache can be made large enough for a future file extension. Otherwise, it is limited to the actual number of buckets. This is useful if one wants the entire file to be cached.

References casacore::True.

## showBaseStatistics()

void casacore::ROStandardStManAccessor::showBaseStatistics | ( | ostream & | anOs | ) | const

Show the statistics for the base class.

## showIndexStatistics()

void casacore::ROStandardStManAccessor::showIndexStatistics | ( | ostream & | anOs | ) | const

Show the statistics for each index used by this storage manager.

## Member Data Documentation

## itsSSMPtr

SSMBase* casacore::ROStandardStManAccessor::itsSSMPtr

private

Definition at line 150 of file StandardStManAccessor.h.

The documentation for this class was generated from the following file:

- tables/DataMan/StandardStManAccessor.h